# Copyright (c) 2024 DTB <trinity@trinity.moe>
# SPDX-License-Identifier: FSFAP
#
# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and this
# notice are preserved.  This file is offered as-is, without any warranty.

.PRAGMA: command_comment

.PHONY: stris_tests
stris_tests: stris_help stris_7 stris_b

.PHONY: stris_help
stris_help: $(BIN)/stris
	! $(BIN)/stris -h

.PHONY: stris_7
stris_7: $(BIN)/stris
	$(BIN)/stris   -7 !1Aa' '
	! $(BIN)/stris -7 今日は

.PHONY: stris_b
stris_b: $(BIN)/stris
	$(BIN)/stris   -b "$(printf ' \t\v\r\n')"
	! $(BIN)/stris -b !1Aa
